#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kweather
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:        Convergent KDE weather application
Group:          Graphical desktop/KDE
License:        GPLv2+
Url:            https://apps.kde.org/kweather/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  reuse

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Charts)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KWeatherCore)
BuildRequires:  cmake(Plasma)

# QML module dependencies
Requires:       kcoreaddons
Requires:       kholidays
Requires:       kirigami
Requires:       kirigami-addons
Requires:       qt6-qtcharts

Recommends:     plasma-applet-kweather


%description
Weather application for Plasma Mobile.

%files -f %{name}.lang
%license LICENSES/*.txt
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/applications/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.%{name}.svg
%{_kf6_datadir}/dbus-1/services/org.kde.%{name}.service

#------------------------------------------------------------------------------

%package -n plasma-applet-kweather
Summary:        Plasma weather applet
Group:          Graphical desktop/KDE
Requires:       %{name}%{?_isa} = %{version}-%{release}
# QML module dependencies
Requires:       kirigami
Requires:       kirigami-addons

%description -n plasma-applet-kweather
Plasma weather applet.

%files -n plasma-applet-kweather
%{_kf6_metainfodir}/org.kde.plasma.%{name}_1x4.appdata.xml
%{_kf6_datadir}/plasma/plasmoids/org.kde.plasma.%{name}_1x4/
%{_qt6_plugindir}/plasma/applets/plasma_applet_%{name}_1x4.so

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}

chmod -x %{buildroot}%{_kf6_datadir}/applications/org.kde.%{name}.desktop


%changelog
* Thu Apr 17 2025 daviddavid <daviddavid> 25.04.0-1.mga10
+ Revision: 2176103
- New version 25.04.0

* Sat Mar 29 2025 daviddavid <daviddavid> 25.03.90-1.mga10
+ Revision: 2170870
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 24.12.3-1.mga10
+ Revision: 2163580
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147242
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136643
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123888
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116440
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114135
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105631
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097499
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087691
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085187
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073309
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069955
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058702
- New version 24.02.2

* Thu Mar 07 2024 daviddavid <daviddavid> 24.02.0-1.mga10
+ Revision: 2048448
- initial package kweather

